@import url("https://fonts.googleapis.com/css2?family=Grand+Hotel&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --slantedText: "Grand Hotel", cursive;
  --primaryColor: #698f3f;
  --secondaryColor: #fca311;
  --mainWhite: #fff;
  --mainGrey: #e5e5e5;
  --minTransition: all 0.3s ease-in-out;
  --letterSpacing: 0.5rem;
}

body {
  font-family: "Catamaran", sans-serif;
  line-height: 1.5;
  background-color: var(--mainWhite);
}

a {
  text-decoration: none;
}

.text-white {
  color: var(--mainWhite);
}

.text-center {
  text-align: center;
}

.text-primary {
  color: var(--primaryColor);
}

.header {
  min-height: 100vh;
  background: linear-gradient(
      rgba(0, 0, 0, 0.6),
      rgba(0, 0, 0, 0.5)
    ),
    url(./img/background.jpg) center/cover no-repeat fixed;
  position: relative;
}

.banner {
  position: absolute;
  top: 50%;
  left: 50%;
  text-align: center;
  transform: translate(-50%, -50%);
  letter-spacing: var(--letterSpacing);
}

.banner-subtitle {
  font-size: 2rem;
  font-family: var(--slantedText);
  color: var(--primaryColor);
  animation: slideFromRight 5s ease-in-out;
}

.banner-title {
  text-transform: uppercase;
  font-size: 3.2rem;
  color: var(--mainWhite);
  margin-top: 2.5rem;
  line-height: 1.3;
  animation: slideFromLeft 5s ease-in-out;
}

.main-btn,
.banner-btn {
  display: inline-block;
  background: var(--primaryColor);
  text-transform: uppercase;
  padding: 0.8rem 1.2rem;
  color: var(--mainWhite);
  font-weight: bold;
  outline: 0.2rem solid var(--primaryColor);
  outline-offset: 4px;
  cursor: pointer;
  margin-top: 2rem;
}

.main-btn:hover,
.banner-btn:hover {
  opacity: 0.7;
}

.banner-btn {
  padding: 1.2rem 1.5rem;
  animation: show 5s ease-in-out;
}

/* animations */
@keyframes show {
  0% {
    transform: scale(2);
    opacity: 0;
  }
  100% {
    transform: scale(1);
  }
}

@keyframes slideFromRight {
  0% {
    transform: translateX(1000px);
    opacity: 0;
  }
  50% {
    transform: translateX(-200px);
  }
  75% {
    transform: translateX(50px);
  }
  100% {
    transform: translateX(0px);
  }
}

@keyframes slideFromLeft {
  0% {
    transform: translateX(-1000px);
    opacity: 0;
  }
  50% {
    transform: translateX(200px);
  }
  75% {
    transform: translateX(-50px);
  }
  100% {
    transform: translateX(0px);
  }
}
/* end animations */

.content-divider {
  height: 0.5rem;
  background: linear-gradient(
    to left,
    var(--primaryColor),
    var(--secondaryColor),
    var(--primaryColor)
  );
}

.skills {
  background: var(--mainGrey);
}

.skill {
  padding: 2.5rem 0;
  text-align: center;
  transition: var(--minTransition);
  display: inline-block;
  margin-top: 30px;
}

.skill-title {
  font-size: 0.9rem;
  font-weight: bold;
  text-transform: uppercase;
  letter-spacing: var(--letterSpacing);
  margin-bottom: 1.5rem;
  color: var(--primaryColor);
  transition: var(--minTransition);
}

.skill-text {
  max-width: 13rem;
  margin: 0 auto;
}

.skill:hover {
  background: var(--primaryColor);
}

.skill:hover .skill-title {
  color: var(--mainWhite);
}

.skill:hover .skill-icon {
  transform: translateY(-5px);
}

@media screen and (min-width: 576px) {
  .skill {
    float: left;
    width: 50%;
  }
}

@media screen and (min-width: 1200px) {
  .skill {
    width: 25%;
  }
}

/* start about */

.section-center {
  padding: 4rem 0;
  width: 80vw;
  max-width: 1170px;
  margin: 0 auto;
}

.section-subtitle {
  font-size: 2rem;
  font-family: var(--slantedText);
  letter-spacing: var(--letterSpacing);
  text-transform: capitalize;
  color: var(--primaryColor);
}

.section-title {
  font-size: 2rem;
  text-transform: uppercase;
}

.about-img,
.about-info {
  padding: 2rem 0;
}

.about-picture-container {
  background: var(--primaryColor);
  border: 0.5rem solid var(--primaryColor);
  border-radius: 1rem;
  overflow: hidden;
}

.about-picture {
  width: 100%;
  display: block;
  transition: var(--minTransition);
}

.about-picture-container:hover .about-picture {
  opacity: 0.5;
  transform: scale(1.2);
}

.about-text {
  margin: 1rem 0;
  max-width: 26rem;
}

@media screen and (min-width: 992px) {
  .about-img,
  .about-info {
    float: left;
    width: 50%;
    padding: 2rem;
  }
}

/* end about */

/* product */

.products {
  background: var(--mainDark);
}

.products-info,
.products-inventory {
  padding: 2rem 0;
}

.product-text {
  color: var(--mainWhite);
  margin: 1rem 0;
  max-width: 26rem;
}

.product {
  padding: 2rem 0;
}

.product-img {
  width: 100%;
  display: block;
  border-radius: 0.4rem;
  margin-bottom: 1rem;
}

.product-title {
  color: var(--mainWhite);
  text-transform: uppercase;
  letter-spacing: var(--letterSpacing);
  margin-bottom: 1rem;
}

.product-price {
  color: var(--primaryColor);
  letter-spacing: var(--letterSpacing);
  font-family: var(--slantedText);
}

@media screen and (min-width: 768px) {
  .product {
    float: left;
    width: 50%;
    padding: 1rem;
  }

  .products-info {
    padding: 2rem 1rem;
  }
}

@media screen and (min-width: 992px) {
  .product {
    width: 33.3%;
  }
}

@media screen and (min-width: 1200px) {
  .products-info {
    float: left;
    width: 30%;
  }

  .products-inventory {
    float: left;
    width: 70%;
  }

  .product {
    padding: 1.5rem 1rem 0 1rem;
  }
}

/* end product */

/* contact */

.contact {
  padding-top: 2rem;
}

.contact-item {
  margin-bottom: 3rem;
}

.contact-title {
  color: var(--primaryColor);
  font-family: var(--slantedText);
  text-transform: uppercase;
  letter-spacing: calc(var(--letterSpacing) * 2);
  font-size: 1.6rem;
  margin-bottom: 0.5rem;
}

.contact-text {
  text-transform: uppercase;
}

.form-control {
  display: block;
  width: 100%;
  border: none;
  border-bottom: 2px solid var(--primaryColor);
  outline: none;
  margin: 2rem 0;
  padding: 1.3rem 0;
  font-size: 0.85rem;
  font-weight: bold;
}

.form-control::placeholder {
  color: var(--primaryColor);
  text-transform: uppercase;
  letter-spacing: var(--letterSpacing);
}

@media screen and (min-width: 992px) {
  .contact-info,
  .contact-form {
    float: left;
    width: 50%;
    padding: 0 1rem;
  }

  .contact-info {
    padding-top: 5rem;
  }
}

/* end contact */

/* footer */

.footer {
  background: var(--mainDark);
  text-align: center;
}

.social-icon {
  color: var(--mainWhite);
  font-size: 1.3rem;
  margin-right: 1rem;
  transition: var(--minTransition);
}

.social-icon:hover {
  color: var(--primaryColor);
}

.footer-text {
  text-transform: uppercase;
  color: var(--mainWhite);
  letter-spacing: var(--letterSpacing);
  margin-top: 1rem;
  font-size: 0.85rem;
}

/* nav btn */

.nav-btn {
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  color: var(--primaryColor);
  margin: 1rem 1.3rem;
  font-size: 2rem;
  cursor: pointer;
  animation: bounce 2s ease-in-out infinite;
}

@keyframes bounce {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.5);
  }
  100% {
    transform: scale(1);
  }
}

/* end nav btn */

/* navbar */

.navbar {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 2;
  background: var(--mainGrey);
  padding-top: 1rem;
  padding-left: 2rem;
  transition: var(--minTransition);
  transform: translateX(-100%);
}

.showNav {
  transform: translateX(0);
}

.nav-close {
  font-size: 2rem;
  cursor: pointer;
}

.nav-items {
  list-style-type: none;
}

.nav-link {
  display: block;
  font-size: 2rem;
  text-transform: uppercase;
  color: var(--primaryColor);
  transition: var(--minTransition);
}

.nav-link:hover {
  color: var(--mainDark);
  padding-left: 0.5rem;
}

@media screen and (min-width: 768px) {
  .navbar {
    width: 30vw;
    max-width: 20rem;
    background-color: var(--mainGrey );
  }
}

@media screen and (min-width: 250px) {
  .navbar {
    width: 32vw;
    max-width: 21rem;
   
   opacity:initial ;
  }
}